#include "squidwall.h"

/**
 * Copyright (C) 2005-2006 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

int case_strstr(const char *haystack, const char *needle)
{
	unsigned int i, hl=str_len(haystack), nl=str_len(needle);

	if (nl > hl) return 0;
	if (!nl) return 0;

	for (i=hl-nl+1; i; --i) {
		if (case_starts(haystack, needle)) return 1;
		haystack++;
	}

	return 0;
}
