#ifndef LOG_H
#define LOG_H

/**
 * Copyright (C) 2005-2006 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

extern void log_s(char *msg);
extern void log_sa(stralloc *sa);
extern void log_flush(void);
extern void log_ulong(unsigned long n);
extern void log_pid(void);
extern void log_headline(char *headline);
extern void log_timestamp(void);
extern void log_info(char *msg);

#endif
